Subject: Re: Re: Build regressions/improvements in v3.4-rc7

From: Michael Ellerman <[email-masked]>
Date: Fri, 18 May 2012 17:47:43 +1000

On Thu, 2012-05-17 at 13:42 -0500, Timur Tabi wrote:
> Benjamin Herrenschmidt wrote:
> >   + arch/powerpc/platforms/512x/mpc512x_shared.c: error: 'enum
> >> fsl_diu_monitor_port' declared inside parameter list [-Werror]:  =>
> >> 70:9, 84:9, 88:36
> >>   + arch/powerpc/platforms/512x/mpc512x_shared.c: error: 'return' with
> >> a value, in function returning void [-Werror]:  => 189:2
> >>   + arch/powerpc/platforms/512x/mpc512x_shared.c: error: function
> >> declaration isn't a prototype [-Werror=strict-prototypes]:  => 69:5,
> >> 88:6, 83:6, 187:1
> >>   + arch/powerpc/platforms/512x/mpc512x_shared.c: error: its scope is
> >> only this definition or declaration, which is probably not what you
> >> want [-Werror]:  => 70:9
> 
> So I think I have a fix for these, but I still would like the actual
> .config so that I can be sure.

I believe it's this one:

http://kisskb.ellerman.id.au/kisskb/buildresult/6312867/config/

cheers